﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using LibraryRDK;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для AddUserPage.xaml
    /// </summary>
    public partial class AddUserPage : Page
    {
        public AddUserPage()
        {
            InitializeComponent();
            cbPost.ItemsSource = Classes.DataBaseClass.connect.Post.ToList();
            cbPost.DisplayMemberPath = "Title";
            cbPower.ItemsSource = Classes.DataBaseClass.connect.Power.ToList();
            cbPower.DisplayMemberPath = "Title";
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {
            if(InputValidation.CheckAuthorization(tbLogin.Text, psPassword.Password))
            {
                if (InputValidation.CheckUsers(tbName.Text, tbSurname.Text, tbPatronymic.Text, tbNunber.Text, cbPower.SelectedIndex, cbPost.SelectedIndex))
                {
                    if (InputValidation.PatternNumbers(tbNunber.Text))
                    {
                        Logined logined = new Logined()
                        {
                            Login = tbLogin.Text,
                            Password = psPassword.Password.GetHashCode()
                        };
                        Classes.DataBaseClass.connect.Logined.Add(logined);
                        Users users = new Users()
                        {
                            IDUser = logined.ID,
                            Name = tbName.Text,
                            Surname = tbSurname.Text,
                            Patronymic = tbPatronymic.Text,
                            Number = tbNunber.Text,
                            IDPower = cbPower.SelectedIndex + 1,
                            IDPost = cbPost.SelectedIndex + 1,
                        };
                        Classes.DataBaseClass.connect.Users.Add(users);
                        Classes.DataBaseClass.connect.SaveChanges();
                        MessageBox.Show("Сотрудник успецно добавлен", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                        Classes.FrameClass.menuFrame.Navigate(new UserPage());
                    }
                    else
                    {
                        MessageBox.Show("Вы ввели номер телефона не в том виде!\nВведите в формате 89999999999", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    }
                }
            }
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new UserPage());
        }
    }
}
