﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для CocertPage.xaml
    /// </summary>
    public partial class CocertPage : Page
    {
        Logined logined;
        List<Concert> concertList;
        public CocertPage(Logined logined)
        {
            InitializeComponent();
            this.logined = logined;
            concertList = Classes.DataBaseClass.connect.Concert.Where(x=> x.ConcertDate>=DateTime.Today).OrderBy(x=> x.ConcertDate).ToList();
            listConcent.ItemsSource = concertList;
            if (logined.Users.IDPower == 1)
            {
                addConcert.Visibility = Visibility.Visible;
            }
            
            if (concertList.Count==0)
            {
                not.Visibility = Visibility.Visible;
                listConcent.Visibility = Visibility.Collapsed;
            }
        }

        private void listConcent_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Concert concertProgram = listConcent.SelectedItem as Concert;
            Classes.FrameClass.menuFrame.Navigate(new ConcertProgramPage(concertProgram.IDConcert, logined,1,this));
        }

        private void btConcert_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new PastConcertPage(logined));
        }

        private void addConcert_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new AddConcertPage(logined));
        }
    }
}
