﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для ConcertProgramPage.xaml
    /// </summary>
    public partial class ConcertProgramPage : Page
    {
        List<ConcertProgram> concertProgramList;
        List<ConcertProgram> concertsList;
        Concert program;
        Numbers numbers;
        Logined logined;
        int ID;
        int index = 1;
        Page page;
        public ConcertProgramPage(int IDConcert, Logined logined, int access, Page page)
        {
            InitializeComponent();
            this.ID = IDConcert;
            numberTitle.ItemsSource = Classes.DataBaseClass.connect.Numbers.Where(x => x.IDUser == logined.ID).ToList();
            numberTitle.DisplayMemberPath = "Title";
            concertProgramList = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == IDConcert).OrderBy(x => x.IndexNumber).ToList();
            listNumber.ItemsSource = concertProgramList;
            program = Classes.DataBaseClass.connect.Concert.FirstOrDefault(x => x.IDConcert == IDConcert);
            DataContext = program;
            if (concertProgramList.Count == 0)
            {
                not.Visibility = Visibility.Visible;
                listNumber.Visibility = Visibility.Collapsed;
            }
            if (access == 0)
            {
                notAccess.Visibility = Visibility.Visible;
                yesAccess.Visibility = Visibility.Collapsed;
            }
            if (logined.Users.IDPower == 1)
            {
                notAccess.Visibility = Visibility.Visible;
                yesAccess.Visibility = Visibility.Collapsed;
            }
            this.logined = logined;
            this.page = page;
        }

        private void addNumder_Click(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < program.NumderOfRooms; i++)
            {
                concertsList = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == ID && x.IndexNumber == index).ToList();
                if(concertsList.Count == 0)
                {
                    break;
                }
                index++;
            }
            if (index <= program.NumderOfRooms)
            {
                numbers = Classes.DataBaseClass.connect.Numbers.FirstOrDefault(x => x.Title == numberTitle.Text);
                if (numberTitle.SelectedIndex != -1)
                {
                    ConcertProgram concertProgram = new ConcertProgram()
                    {
                        IDConcert = ID,
                        IDNumber = numbers.IDNumber,
                        IndexNumber = index
                    };
                    Classes.DataBaseClass.connect.ConcertProgram.Add(concertProgram);
                    Classes.DataBaseClass.connect.SaveChanges();
                    concertProgramList = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == ID).OrderBy(x => x.IndexNumber).ToList();
                    listNumber.ItemsSource = concertProgramList;
                    if (concertProgramList.Count > 0)
                    {
                        not.Visibility = Visibility.Collapsed;
                        listNumber.Visibility = Visibility.Visible;
                    }
                    numberTitle.SelectedIndex = -1;
                }
                else
                {
                    MessageBox.Show("Вы не выбрали номер", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }
            else
            {
                MessageBox.Show("Больше нельзя добавить номер\nЛимит концертной программы исчерпан", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
            }
            
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new CocertPage(logined));
        }

       

        private void pastBack_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(page);
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                Classes.DataBaseClass.connect.SaveChanges();
                listNumber.ItemsSource = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == ID).OrderBy(x => x.IndexNumber).ToList();
            }
            catch
            {
                MessageBox.Show("Ошибка");
            }
        }

        private void btPrint_Click(object sender, RoutedEventArgs e)
        {
            concertsList = Classes.DataBaseClass.connect.ConcertProgram.Where(x => x.IDConcert == ID).OrderBy(x => x.IndexNumber).ToList();
            PrintDialog printDialog = new PrintDialog();
            if (printDialog.ShowDialog() == true)
            {
                printDialog.PrintVisual(new PrintPage(concertsList, program), "Распечатываем концертную программу");
            }
        }
    }
}
