﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using PDK_Concert.Pages;
using PDK_Concert.Classes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для MainPage.xaml
    /// </summary>
    public partial class MainPage : Page
    {
        Logined logined;
        int power;
        public MainPage(Logined logined, int IDpower)
        {
            InitializeComponent();
            Classes.FrameClass.menuFrame = menuFrame;
            this.logined = logined;
            Users users = DataBaseClass.connect.Users.FirstOrDefault(x => x.IDUser == logined.ID);
            fio.Text = users.Surname + " " + users.Name + " " + users.Patronymic + ", " + users.Post.Title;
            this.power = IDpower;
            if (power == 1)
            {
                Numbers.Visibility = Visibility.Collapsed;
                User.Visibility = Visibility.Visible;
            }
        }

        private void RehearsalSchedule_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new RehearsalSchedulePage(logined));
        }

        private void Concert_MouseDown(object sender, MouseButtonEventArgs e)
        {
            FrameClass.menuFrame.Navigate(new CocertPage(logined));
        }

        private void Numbers_MouseDown(object sender, MouseButtonEventArgs e)
        {
            FrameClass.menuFrame.Navigate(new NumberPage(logined));
        }

        private void User_MouseDown(object sender, MouseButtonEventArgs e)
        {
            FrameClass.menuFrame.Navigate(new UserPage());
        }

        private void profil_MouseDown(object sender, MouseButtonEventArgs e)
        {
            FrameClass.menuFrame.Navigate(new ProfilePage(this, logined));
        }

        private void back_MouseDown(object sender, MouseButtonEventArgs e)
        {
            FrameClass.frame.Navigate(new AuthorizationPage());
        }

        private void QV_MouseDown(object sender, MouseButtonEventArgs e)
        {
            QuestionWindow questionWindow = new QuestionWindow();
            questionWindow.ShowDialog();
        }
    }
}
