﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using LibraryRDK;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для NewDayPehearsalPage.xaml
    /// </summary>
    public partial class NewDayPehearsalPage : Page
    {
        Logined logined;
        public NewDayPehearsalPage(Logined logined)
        {
            InitializeComponent();
            this.logined = logined;
        }

        private void addRehearsal_Click(object sender, RoutedEventArgs e)
        {
            if (date.DisplayDate >= DateTime.Today)
            {
                List<RehearsalDate> ddate = Classes.DataBaseClass.connect.RehearsalDate.Where(x => x.RehearsalDate1 == (DateTime)date.SelectedDate).ToList();
                if(ddate.Count == 0)
                {
                    RehearsalDate rehearsalDate = new RehearsalDate()
                    {
                        RehearsalDate1 = (DateTime)date.SelectedDate
                    };
                    if (notAdd.IsChecked == true || !string.IsNullOrWhiteSpace(time.Text))
                    {
                        if (notAdd.IsChecked == false)
                        {
                            if (InputValidation.Pattern(time.Text))
                            {
                                RehearsalSchedule rehearsalSchedule = new RehearsalSchedule()
                                {
                                    IDSchedule = rehearsalDate.IDData,
                                    IDUser = logined.ID,
                                    RehearsalTime = time.Text
                                };
                                Classes.DataBaseClass.connect.RehearsalDate.Add(rehearsalDate);
                                Classes.DataBaseClass.connect.SaveChanges();
                                Classes.DataBaseClass.connect.RehearsalSchedule.Add(rehearsalSchedule);
                                Classes.DataBaseClass.connect.SaveChanges();
                                MessageBox.Show("Репетиция успешно добавлена", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                                Classes.FrameClass.menuFrame.Navigate(new RehearsalSchedulePage(logined));
                            }
                            else
                            {
                                MessageBox.Show("Вы ввели время не в том виде!\nВведите в формате 00:00-00:00", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                            }
                        }
                        Classes.DataBaseClass.connect.RehearsalDate.Add(rehearsalDate);
                        Classes.DataBaseClass.connect.SaveChanges();
                        MessageBox.Show("Репетиция успешно добавлена", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                        Classes.FrameClass.menuFrame.Navigate(new RehearsalSchedulePage(logined));
                    }
                    else
                    {
                        MessageBox.Show("Введите дату репетиции или уточните, что ее не будет", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    }
                }
                else
                {
                    MessageBox.Show("В эту дату уже есть репетиции", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }
            else
            {
                MessageBox.Show("Вы выбрали дату позднее текущей", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new RehearsalSchedulePage(logined));
        }
    }
}
