﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для NumberPage.xaml
    /// </summary>
    public partial class NumberPage : Page
    {
        Logined logined;
        List<Numbers> showNumbers;
        public NumberPage(Logined logined)
        {
            InitializeComponent();
            this.logined = logined;
            listNumbers.ItemsSource = Classes.DataBaseClass.connect.Numbers.Where(x => x.IDUser == logined.ID).ToList();
            showNumbers = Classes.DataBaseClass.connect.Numbers.Where(x => x.IDUser == logined.ID).ToList();
            if (showNumbers.Count==0)
            {
                not.Visibility = Visibility.Visible;
                listNumbers.Visibility = Visibility.Collapsed;
            }
        }

        private void btNewNumber_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new NewNumberPage(logined));
        }

        private void poisk_TextChanged(object sender, TextChangedEventArgs e)
        {
            string text = poisk.Text;
            UpdateList(text);
        }

        private void UpdateList(string text)
        {
            showNumbers = Classes.DataBaseClass.connect.Numbers.Where(x => x.IDUser == logined.ID).ToList();
            if (!string.IsNullOrWhiteSpace(text))
            {
                showNumbers = showNumbers.Where(x=>x.Title.ToLower().Contains(text.ToLower())).ToList();
                if(showNumbers.Count>0)
                {
                    listNumbers.ItemsSource = showNumbers;
                    not.Visibility = Visibility.Collapsed;
                    listNumbers.Visibility = Visibility.Visible;
                }
                else
                {
                    listNumbers.ItemsSource = Classes.DataBaseClass.connect.Numbers.Where(x => x.IDUser == logined.ID).ToList();
                    not.Visibility = Visibility.Visible;
                    listNumbers.Visibility = Visibility.Collapsed;
                }
            }
            if(text=="")
            {
                listNumbers.ItemsSource = Classes.DataBaseClass.connect.Numbers.Where(x => x.IDUser == logined.ID).ToList();
                not.Visibility = Visibility.Collapsed;
                listNumbers.Visibility = Visibility.Visible;
            }
        }

        private void listNumbers_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Numbers numbers = listNumbers.SelectedItem as Numbers;
            UpdateNumberWindow updateNumber = new UpdateNumberWindow(numbers.IDNumber);
            updateNumber.ShowDialog();
            Classes.FrameClass.menuFrame.Navigate(new NumberPage(logined));
        }
    }
}
