﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using LibraryRDK;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для RehearsalPage.xaml
    /// </summary>
    public partial class RehearsalPage : Page
    {
        int ID;
        RehearsalDate date;
        Logined logined;
        List<RehearsalSchedule> schedules;
        public RehearsalPage(int id, Logined logined)
        {
            InitializeComponent();
            ID = id;
            schedules = Classes.DataBaseClass.connect.RehearsalSchedule.Where(x => x.IDSchedule == ID).ToList();
            if (schedules.Count == 0)
            {
                not.Visibility = Visibility.Visible;
                listRehearsal.Visibility = Visibility.Collapsed;
            }
            listRehearsal.ItemsSource = schedules;
            date = Classes.DataBaseClass.connect.RehearsalDate.FirstOrDefault(x => x.IDData == ID);
            DataContext = date;
            this.logined = logined;
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new RehearsalSchedulePage(logined));
        }

        private void addTime_Click(object sender, RoutedEventArgs e)
        {
            if(InputValidation.Pattern(time.Text))
            {
                RehearsalSchedule rehearsalSchedule = new RehearsalSchedule()
                {
                    IDSchedule = ID,
                    IDUser = logined.ID,
                    RehearsalTime = time.Text
                };
                Classes.DataBaseClass.connect.RehearsalSchedule.Add(rehearsalSchedule);
                Classes.DataBaseClass.connect.SaveChanges();
                schedules = Classes.DataBaseClass.connect.RehearsalSchedule.Where(x => x.IDSchedule == ID).ToList();
                listRehearsal.ItemsSource = schedules;
                if (schedules.Count > 0)
                {
                    not.Visibility = Visibility.Collapsed;
                    listRehearsal.Visibility = Visibility.Visible;
                }
                time.Text = "";
            }
            else
            {
                MessageBox.Show("Вы ввели время не в том виде!\nВведите в формате 00:00-00:00", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }
    }
}
