﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для RehearsalSchedulePage.xaml
    /// </summary>
    public partial class RehearsalSchedulePage : Page
    {
        Logined logined;
        List<RehearsalDate> schedules;
        public RehearsalSchedulePage(Logined logined)
        {
            InitializeComponent();
            this.logined = logined;
            listRehearsal.ItemsSource = Classes.DataBaseClass.connect.RehearsalDate.Where(x => x.RehearsalDate1 >= DateTime.Today).OrderBy(x=> x.RehearsalDate1).ToList();
            schedules = Classes.DataBaseClass.connect.RehearsalDate.Where(x => x.RehearsalDate1 >= DateTime.Today).OrderBy(x => x.RehearsalDate1).ToList();
            if (schedules.Count==0)
            {
                not.Visibility = Visibility.Visible;
                listRehearsal.Visibility = Visibility.Collapsed;
            }
        }

        private void btNewDay_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new NewDayPehearsalPage(logined));
        }

        private void listRehearsal_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            RehearsalDate rehearsalDate = listRehearsal.SelectedItem as RehearsalDate;
            Classes.FrameClass.menuFrame.Navigate(new RehearsalPage(rehearsalDate.IDData,logined));
        }
    }
}
