﻿using LibraryRDK;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using static System.Windows.Forms.VisualStyles.VisualStyleElement.TaskbarClock;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для UpdateNumberWindow.xaml
    /// </summary>
    public partial class UpdateNumberWindow : Window
    {
        Numbers numbers;
        public UpdateNumberWindow(int number)
        {
            InitializeComponent();
            numbers = Classes.DataBaseClass.connect.Numbers.FirstOrDefault(x=>x.IDNumber == number);
            DataContext = numbers;
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {
            if (InputValidation.CheckNumbers(tbTitle.Text, tbTime.Text))
            {
                if (InputValidation.PatternTimeNumbers(tbTime.Text))
                {
                    Classes.DataBaseClass.connect.SaveChanges();
                    this.Close();
                }
                else
                {
                    MessageBox.Show("Вы ввели время номера не в том виде!\nВведите в формате 00,00 или 0,00", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }
        }

        private void delete_Click(object sender, RoutedEventArgs e)
        {
            var result = MessageBox.Show("Действительно хотите удалить номер?","Информация", MessageBoxButton.YesNo, MessageBoxImage.Question);
            if (result==MessageBoxResult.Yes)
            {
                Classes.DataBaseClass.connect.Numbers.Remove(numbers);
                Classes.DataBaseClass.connect.SaveChanges();
                this.Close();
            }
            
        }
    }
}
