﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using static System.Net.Mime.MediaTypeNames;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для UserPage.xaml
    /// </summary>
    public partial class UserPage : Page
    {
        List<Users> users;
        public UserPage()
        {
            InitializeComponent();
            Classes.FrameClass.userFrame = frnUser;
            users = Classes.DataBaseClass.connect.Users.ToList();
            listUsers.ItemsSource = users;
            if (users.Count == 0 )
            {
                not.Visibility = Visibility.Visible;
                listUsers.Visibility = Visibility.Collapsed;
            }
        }

        private void poisk_TextChanged(object sender, TextChangedEventArgs e)
        {
            users = Classes.DataBaseClass.connect.Users.ToList();
            if (!string.IsNullOrWhiteSpace(poisk.Text))
            {
                users = users.Where(x => x.Surname.ToLower().Contains(poisk.Text.ToLower())).ToList();
                if (users.Count > 0)
                {
                    listUsers.ItemsSource = users;
                    not.Visibility = Visibility.Collapsed;
                    listUsers.Visibility = Visibility.Visible;
                }
                else
                {
                    listUsers.ItemsSource = Classes.DataBaseClass.connect.Users.ToList();
                    not.Visibility = Visibility.Visible;
                    listUsers.Visibility = Visibility.Collapsed;
                }
            }
            if (poisk.Text == "")
            {
                listUsers.ItemsSource = Classes.DataBaseClass.connect.Users.ToList();
                not.Visibility = Visibility.Collapsed;
                listUsers.Visibility = Visibility.Visible;
            }
        }

        private void listUsers_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            notU.Visibility = Visibility.Collapsed;
            Users users = listUsers.SelectedItem as Users;
            if (users != null)
            {
                Classes.FrameClass.userFrame.Navigate(new UpdateUsersPage(users.IDUser));
            }
        }

        private void addUsers_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new AddUserPage());
        }
    }
}
